#ifndef __TRACKLISTLIST_H__
#define __TRACKLISTLIST_H__

#include <List.h>
#include <String.h>

/*
 * This class holds lists of tracklists
 *
 * It also has gloabal midi data for the file
 * 
 */
class TrackListList: public BList
{
public:

	TrackListList(int n = 20);
	~TrackListList();

int GetFormat(void) const;
int GetDivision(void) const;
const char *GetCopyright(void) const;

void SetFormat(int);
void SetDivision(int);
void SetCopyright(const BString& );
	
private:

int Format;			//format of midi file (type 1, 2, 3)
int Division;		//quarter note division - usually 120 or 96
BString Copyright;

};

#endif
